local GROUND = GLOBAL.GROUND
local rock_rarity = (GetModConfigData("rock_rarity"))
local multiplier = rock_rarity

local function PreInitVeryRare(room)
	if not room.contents.distributeprefabs then
		room.contents.distributeprefabs = {}
	end
	room.contents.distributeprefabs.rock_iron = 0.7
	room.contents.distributeprefabs.rock_cobalt = 0.5
--	room.contents.distributeprefabs.rock_titan = 0.3
--	room.contents.distributeprefabs.rock_tungsten = 0.1
	
	room.contents.distributepercent = 0.004 * multiplier
end
	
local function PreInitRare(room)
	if not room.contents.distributeprefabs then
		room.contents.distributeprefabs = {}
	end
	room.contents.distributeprefabs.rock_iron = 0.7
	room.contents.distributeprefabs.rock_cobalt = 0.5
--	room.contents.distributeprefabs.rock_titan = 0.3
--	room.contents.distributeprefabs.rock_tungsten = 0.1
	
	room.contents.distributepercent = 0.05 * multiplier
end
	
local function PreInitFew(room)
	if not room.contents.distributeprefabs then
		room.contents.distributeprefabs = {}
	end
	room.contents.distributeprefabs.rock_iron = 0.7
	room.contents.distributeprefabs.rock_cobalt = 0.5
--	room.contents.distributeprefabs.rock_titan = 0.3
--	room.contents.distributeprefabs.rock_tungsten = 0.1
	
	room.contents.distributepercent = 0.5 * multiplier
end

local function PreInitNormal(room)
	if not room.contents.distributeprefabs then
		room.contents.distributeprefabs = {}
	end
	room.contents.distributeprefabs.rock_iron = 0.7
	room.contents.distributeprefabs.rock_cobalt = 0.5
--	room.contents.distributeprefabs.rock_titan = 0.3
--	room.contents.distributeprefabs.rock_tungsten = 0.1
	
	room.contents.distributepercent = 1 * multiplier
end
	
local function PreInitDouble(room)
	if not room.contents.distributeprefabs then
		room.contents.distributeprefabs = {}
	end
	room.contents.distributeprefabs.rock_iron = 0.7
	room.contents.distributeprefabs.rock_cobalt = 0.5
--	room.contents.distributeprefabs.rock_titan = 0.3
--	room.contents.distributeprefabs.rock_tungsten = 0.1
	
	room.contents.distributepercent = 2 * multiplier
end

	--As golden rocks (rock2)

AddRoomPreInit("Deerclopsfield", PreInitVeryRare)
AddRoomPreInit("Tallbirdfield", PreInitNormal)
AddRoomPreInit("Moundfield", PreInitFew)

AddRoomPreInit("ChessForest", PreInitVeryRare)
AddRoomPreInit("ChessBarrens", PreInitNormal)

AddRoomPreInit("HoundyBadlands", PreInitNormal)
AddRoomPreInit("BGDeciduous", PreInitRare)

AddRoomPreInit("SpiderVillage", PreInitNormal)

AddRoomPreInit("TallbirdNests", PreInitDouble)

AddRoomPreInit("BGDirt", PreInitNormal)

AddRoomPreInit("BGCrappyForest", PreInitVeryRare)
AddRoomPreInit("BGForest", PreInitVeryRare)
AddRoomPreInit("BGDeepForest", PreInitVeryRare)

AddRoomPreInit("BGGrassBurnt", PreInitRare)

AddRoomPreInit("BGNoise", PreInitRare)

AddRoomPreInit("BGChessRocky", PreInitNormal)
AddRoomPreInit("BGRocky", PreInitNormal)
AddRoomPreInit("Rocky", PreInitDouble)
AddRoomPreInit("RockyBuzzards", PreInitDouble)
AddRoomPreInit("GenericRockyNoThreat", PreInitDouble)
AddRoomPreInit("MolesvilleRocky", PreInitNormal)

AddRoomPreInit("WalrusHut_Rocky", PreInitNormal)

AddRoomPreInit("Wormhole_Plains", PreInitFew)